const Fuse = require('fuse-native')
const Errors = require('../../shared/Errors')
const Message = require('../../shared/Message')
const connector = require('../connector')

module.exports = exports = function (path, mode, cb) {
    connector.send(
        Message.route('fs.create')
            .data({ path, mode })
            .expect_response(msg => {
                if ( msg.error() ) {
                    return Errors.toCallback(cb, msg.error())
                }

                const { node, descriptor } = msg.data()

                delete node.pied_name
                node.mtime = new Date(node.mtime)
                node.atime = new Date(node.atime)
                node.ctime = new Date(node.ctime)

                return process.nextTick(cb, 0, descriptor, node)
            })
    )
}
