const Fuse = require('fuse-native')
const Errors = require('../../shared/Errors')
const Message = require('../../shared/Message')
const connector = require('../connector')

module.exports = exports = function (path, cb) {
    connector.send(
        Message.route('fs.getattr')
            .data({ path })
            .expect_response(msg => {
                if ( msg.error() ) {
                    if ( msg.error() === Errors.NodeDoesNotExist ) {
                        return process.nextTick(cb, Fuse.ENOENT)
                    } else {
                        return process.nextTick(cb, Fuse.ENODATA)
                    }
                }

                const { node } = msg.data()

                delete node.pied_name
                node.mtime = new Date(node.mtime)
                node.atime = new Date(node.atime)
                node.ctime = new Date(node.ctime)

                return process.nextTick(cb, 0, node)
            })
    )
}
