const Fuse = require('fuse-native')
const Errors = require('../../shared/Errors')
const Message = require('../../shared/Message')
const connector = require('../connector')

module.exports = exports = function (path, cb) {
    connector.send(
        Message.route('fs.readlink')
            .data({ path })
            .expect_response(msg => {
                if ( msg.error() ) {
                    return Errors.toCallback(cb, msg.error())
                }

                const { link } = msg.data()
                return process.nextTick(cb, 0, link)
            })
    )
}
